Subject: [LON-CAPA-dev] Re: Parms: Enclosing Map Q

From: Felicia Berryman <[email-masked]>
Date: Thu, 07 Feb 2002 11:03:30 -0500

Hi John,

> I want to set parameters for the bioenergetics module.
> In Parms, for "Select Enclosing Map" my choices are either "All Maps", or
> the individual  sub-sequences for each sub module (example:
> bioenergetics_energy.sequence). Why doesn't the second level map
> (?super-map - bioenergetics.sequence) show up as a selection choice? What I
> really wanted to do was define parameters for the whole module, but I could
> only figure out how to do it for each sub-sequence.

I saw this before.  I'm copying this message to the development group. 
I'm not sure what can be done about maps enclosed by maps enclosed by
maps.  It seems to only give you the entire course, or the very lowest
of maps.  Hopefully, this is something they can put on their to-do
list.  

> 
> (We need a common vocabulary for all this - I think I understand that a Map
> is a Sequence file; an "enclosing map" means the selected level of the
> bin/sequence structure (like a folder or subdirectory?). The way we have a
> topic like bioenergetics set up is with a "super" map/sequence that points
> to sub-topic maps/sequences right?)
> 

The enclosing map is the map that the problem belongs to.  For example,
the map you would go to delete that individual problem from that
sequence.  Your class seems to have a structure or top-map, then
secondary-maps, and finally tertiary-maps.  They operate similar to
Course, then unit, then chapter.  We've been using the term map (which
is either a sequence or a page), "enclosing-map" for the map that a
particular problem belongs to, and "top-level map" for the entire
course.  There are no terms for the intermediate maps between the
top-level map and the enclosing-map (which, for now, correspond with the
top-most map and the bottom-most map).  Maybe someone in the development
group can ponder this for a bit and come up with something.  For myself,
I think course, unit, chapter, and problem sets make the most sense to
me.  In some cases, a "chapter" could end with a .page (a problem set)
which would be a fourth level map.  The problem with my terms is that we
don't want to put a formula on how a course is set up.

Felicia
--
Felicia Berryman
LON-CAPA Coordinator
Michigan State University
  Email:  [email-masked]
  Phone:  (517)432-9866  
http://www.lon-capa.org